sliding.hpp File Reference

## Classes

struct | ranges::v3::sliding_view< Rng, cache >
struct | ranges::v3::sliding_view< Rng, sliding_view_detail::cache::first >
struct | ranges::v3::sliding_view< Rng, sliding_view_detail::cache::last >
struct | ranges::v3::sliding_view< Rng, sliding_view_detail::cache::none >
class | ranges::v3::sliding_view_detail::sv_base< Rng >
struct | ranges::v3::sliding_view_detail::trailing< Rng, bool >
struct | ranges::v3::sliding_view_detail::trailing< Rng, true >
struct | ranges::v3::view::sliding_fn

## Typedefs

template<typename Rng >
using | ranges::v3::sliding_view_detail::caching = std::integral_constant< cache, RandomAccessRange< Rng >() &&SizedRange< Rng >() ? cache::none :BidirectionalRange< Rng >() &&BoundedRange< Rng >() ? cache::last :cache::first >
template<typename Rng >
using | ranges::v3::sliding_view_detail::uncounted_t = decltype(ranges::uncounted(std::declval< iterator_t< Rng > & >()))

## Enumerations

enum | cache { none, first, last }